Package org.apache.batchee.spring.ui

## Class BatchEEUI

- java.lang.Object
- - org.apache.batchee.spring.ui.BatchEEUI

-     @Configuration(proxyBeanMethods=false)
      public class BatchEEUI
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `BatchEEUI.Properties` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BatchEEUI()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.springframework.boot.web.servlet.ServletRegistrationBean<JBatchController>` | `batcheeUI​(javax.batch.operations.JobOperator operator, BatchEEUI.Properties properties)` |
    `javax.batch.operations.JobOperator` | `operator​(org.springframework.batch.core.explore.JobExplorer jobExplorer, org.springframework.batch.core.repository.JobRepository jobRepository, org.springframework.transaction.PlatformTransactionManager transactionManager, DataSource dataSource, BatchEEUI.Properties properties, List<org.springframework.batch.core.Job> jobs)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BatchEEUI

          public BatchEEUI()

  - ### Method Detail

    - #### operator

          @Bean
          @ConditionalOnMissingBean(javax.batch.operations.JobOperator.class)
          public javax.batch.operations.JobOperator operator​(org.springframework.batch.core.explore.JobExplorer jobExplorer,
                                                             org.springframework.batch.core.repository.JobRepository jobRepository,
                                                             org.springframework.transaction.PlatformTransactionManager transactionManager,
                                                             DataSource dataSource,
                                                             BatchEEUI.Properties properties,
                                                             @Autowired(required=false)
                                                             List<org.springframework.batch.core.Job> jobs)
                                                      throws Exception

      Throws:
        `Exception`

    - #### batcheeUI

          @Bean
          public org.springframework.boot.web.servlet.ServletRegistrationBean<JBatchController> batcheeUI​(javax.batch.operations.JobOperator operator,
                                                                                                          BatchEEUI.Properties properties)